%global srcname multi_key_dict
%global sum Multi-key dictionary implementation in Python
%global commit 540e913b714187101d7a142eadc108c48ccbd8e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        2.0.3
Release:        %mkrel 11
Summary:        %{sum}

Group:          Development/Python
License:        MIT
URL:            https://github.com/formiaczek/%{srcname}
Source0:        https://github.com/formiaczek/%{srcname}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%prep
%autosetup -n %{srcname}-%{commit}

%build
%py3_build

%install
%py3_install

%check
%{__python3} %{buildroot}%{python3_sitelib}/%{srcname}.py

%files -n python3-%{srcname}
%doc README.txt
%license LICENSE
%{python3_sitelib}/__pycache__/%{srcname}*
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.3-11.mga8
+ Revision: 1533081
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.0.3-10.mga8
+ Revision: 1443319
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.0.3-9.mga7
+ Revision: 1353306
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.3-8.mga7
+ Revision: 1289209
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 ngompa <ngompa> 2.0.3-7.mga7
+ Revision: 1222771
- Adapt for Mageia
- imported package python-multi_key_dict


* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.0.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 08 2016 Scott K Logan <logans@cottsay.net> - 2.0.3-1
- Initial package
